/**
 * 业务配置
 * */
const url = location.host;
const isDev = process.env.NODE_ENV === 'development'; // 开发环境
const isPro = url.includes('www.huorantech.cn'); //正式服

let jumpPath = `${location.origin}/judgmentPoint`
let host = `${location.origin}:9000/`
if (isDev) {
    jumpPath = "http://192.168.31.125:8087/"; // 本地调试-需要启动本地判分点系统
    host = 'http://39.108.250.202:9000/'
    // host = 'http://192.168.31.151:9000/'// 榕
    // host = 'http://192.168.31.137:9000/'// 赓
} else if (isPro) {
    jumpPath = "http://www.huorantech.cn/judgmentPoint/";
}


const Setting = {
    /**
     * 基础配置
     * */
    platformId: 3, // 平台标识，1职站，2数据平台，3中台
    jumpPath, // 判分点系统跳转路径前缀
    apiBaseURL: host, // 请求路径前缀
    uploadURL: 'http://39.108.250.202:9000/', // 阿里云oss域名
    // 平台列表
    platformList: [
        {
            id: 1,
            name: '职站'
        },
        {
            id: 2,
            name: '数据平台'
        },
        {
            id: 3,
            name: '中台'
        }
    ],
    // 是否使用动态路由
    dynamicRoute: true,
    /**
     * @description 默认密码
     */
    initialPassword: '111aaa',
};

export default Setting;
