import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);
const store = new Vuex.Store({
    state: {
        avatar: 'https://cube.elemecdn.com/3/7c/3ea6beec64369c2642b92c6726f1epng.png',
        courseId:'',
        userId: '',
        roleId: '',
        manager:{},
        provinceList: [],
        configId: '',
        systemId: '',
        orderId: '',
        userLoginId: '',
        userName: '',
        loginToken: '',
        schoolId: '',
        lastSystemId: null,
        projectFields: {},
        btns: [],
        routes: []
    },
    actions: {
        setSystemId({ state,commit },systemId) {
            commit('SET_SYSTEM_ID',systemId)
        },
        setProject({ state,commit },projectFields) {
            commit('SET_PROJECT',projectFields)
        },
    },
    mutations:{
        SET_SYSTEM_ID: (state, systemId) => {
            state.lastSystemId = systemId
        },
        SET_PROJECT: (state, projectFields) => {
            state.projectFields = projectFields
        },
        userAvatar(state,payload){
            state.avatar = payload.avatar
        },
        userData (state, payload) {
            state.userId = payload.user_id
        },
        courseData (state, payload) {
            state.courseId = payload.course_id
        },
        managerData (state, payload) {
            state.manager = payload.form
        },
        provinceData (state, payload) {
            state.provinceList = payload.provinceList
        },
        configData (state, payload) {
            state.configId = payload.config_id
        },
        systemData (state, payload) {
            state.systemId = payload.system_id
            state.orderId = payload.order_id
        },
        userLoginData (state, payload) {
            state.userLoginId = payload.userLogin_id
            state.userName = payload.userName
            state.roleId = payload.roleId
        },
        tokenData (state, payload) {
            state.loginToken = payload.loginToken
        },
        schoolIdData (state, payload) {
            state.schoolId = payload.schoolId
        },
        addBtnAuth(state,btns) {
          state.btns = btns
        },
        addRoutes(state,routes) {
          state.routes = routes
        }
    }
});
 
export default store;