import Setting from "@/setting";

const host = Setting.apiBaseURL
const uploadURL = Setting.uploadURL

export default {

    logins: `users/users/user/login`, //登录
    verification: `${host}users/users/user/captcha`,// 验证码图片
    bindPhoneOrEmail: `users/users/userAccount/bindPhoneOrEmail`,// 绑定手机
    sendPhoneOrEmailCode: `users/users/userAccount/sendPhoneOrEmailCode`,// 手机验证码
    
    staffTemplate: `http://www.huorantech.cn/template/%E6%89%B9%E9%87%8F%E5%AF%BC%E5%85%A5%E5%91%98%E5%B7%A5%E6%A8%A1%E6%9D%BF.xlsx`, // 后台账号模板

    checkEmailOrPhone: `occupationlab/architecture/checkEmailOrPhone`, // 新增学生前:校验手机号或者邮箱
    checkWorkNumOrAccount: `occupationlab/architecture/checkWorkNumOrAccount`, // 新增/编辑学生前:校验学号或者学生账号

    // 订单管理
    orderAdd: `nakadai/nakadai/order/add`,// 订单添加
    orderDelete: `nakadai/nakadai/order/delete`,// 删除定单
    orderDetail: `nakadai/nakadai/order/get`,// 订单详情
    orderList: `nakadai/nakadai/order/list`,// 订单列表
    orderUpdate: `nakadai/nakadai/order/update`,// 订单更新
    renew: `nakadai/nakadai/orderOther/renew`,// 续费信息管理-post
    ship: `nakadai/nakadai/orderOther/ship`,// 处理时的订单发货管理-post
    getOrderOtherTime: `nakadai/nakadai/orderOther/getOrderOtherTime`,

    queryAccountIsExist: `liuwanr/userInfo/queryServerAccountIsExist`, //查询账号是否存在

    // 客户管理
    delCustomers: `nakadai/nakadai/customer/delCustomers`,
    updateCustomer: `nakadai/nakadai/customer/updateCustomer`,
    addCustomer: `nakadai/nakadai/customer/addCustomer`,
    queryCustomer: `nakadai/nakadai/customer/queryCustomer`,
    queryCustomerDetails: `nakadai/nakadai/customer/queryCustomerDetails`,
    saveOrUpdate: `data/data/role/saveOrUpdate`,
    doAssign: `data/data/permission/doAssign`,
    updateCustomerByRoleId: `nakadai/nakadai/customer/updateCustomerByRoleId`,
    checkEmailOrPhone: `nakadai/nakadai/customer/checkEmailOrPhone`, // 新增客户前:校验手机号或者邮箱

    resetPwdCustomer: `nakadai/nakadai/customer/resetPwd`,
    queryCustomerIsExists: `nakadai/nakadai/customer/queryCustomerIsExists`,
    updateEnabled: `nakadai/nakadai/customer/updateEnabled`,
    queryCustomerIndustryClass: `nakadai/nakadai/hrIndustryClass/queryIndustryClass`,
    queryCustomerIndustry: `nakadai/nakadai/hrIndustry/queryIndustry`,
    querySchoolData: `nakadai/nakadai/school/querySchool`,
    queryPhone: `liuwanr/user/queryPhone`,
    queryPlatform: `liuwanr/userInfo/queryPlatform`,

    // 用户管理
    delUserAccounts: `users/users/userAccount/delUserAccounts`,
    queryUserInfoDetails: `users/users/userAccount/queryUserInfoDetails`,
    personalFile: `users/users/userAccount/personalFile`,

    queryUserInfoList: `users/users/userAccount/queryUserInfoList`,
    resetPwd: `users/users/userAccount/resetPwd`,
    selectAccountDetail: `users/users/userAccount/selectAccountDetail`,
    selectUserSysBind: `users/users/userAccount/selectUserSysBind`,
    updatePersonCenter: `users/users/userAccount/updatePersonCenter`,
    updateUserAvatars: `${host}users/users/userAccount/updateUserAvatars`,
    userInfo: `users/users/userAccount/userInfo`,
    unbindMobilePhone: `users/users/userAccount/unbindMobilePhone`,
    updateAccountEnable: `users/users/userAccount/updateAccountEnable`,
    updateAccountAllEnable: `users/users/userAccount/updateAccountAllEnable`,
    examinePassword: `users/users/userAccount/examinePassword`,
    viewUserDetailsforNakadai: `users/users/userAccount/viewUserDetailsforNakadai`,
    oneClickEnableVerification: `users/users/userAccount/oneClickEnableVerification`,

    queryOrder: `liuwanr/order/queryOrder`, //查询订单
    queryOrderDetails: `liuwanr/order/queryOrderDetails`, //查询订单详情
    queryOrderCustomer: `liuwanr/order/queryOrderCustomer`, //查询订单客户

    queryOrderCustomerContact: `liuwanr/order/queryOrderCustomerContact`, //查询订单客户联系人

    addOrder: `liuwanr/order/addOrder`, //添加订单
    updateOrder: `liuwanr/order/updateOrder`, //编辑订单
    deleteOrder: `liuwanr/order/deleteOrder`, //删除订单
    bindingApplication: `liuwanr/order/bindingApplicationPermissions`, //绑定应用权限
    queryCoursePermissions: `liuwanr/order/queryCoursePermissions`, //查询应用权限
    queryCourseList: `liuwanr/order/queryCourseList`, //查询订单课程列表
    isDeliverGoods: `liuwanr/order/isDeliverGoods`, //是否上架课程

    //服务配置
    deleteServiceConfig: `liuwanr/serviceConfig/deleteServiceConfig`, //删除服务配置
    updateServiceConfig: `liuwanr/serviceConfig/updateServiceConfig`, //更新服务配置
    addServiceConfig: `liuwanr/serviceConfig/addServiceConfig`, //添加服务配置
    queryServiceConfigDetails: `liuwanr/serviceConfig/queryServiceConfigDetails`, //查询服务配置详情
    queryServiceConfig: `nakadai/serviceConfiguration/getAllService`, //查询服务配置
    // 项目管理
    avgValues: `occupationlab/projectManage/avgValues`, // 平均分分配值
    deleteProjectManage: `occupationlab/projectManage/deleteProjectManage`, // 新增项目管理
    getProjectBySystemId: `occupationlab/projectManage/getProjectBySystemId`, // 根据系统id获取全部项目
    queryNameIsExist: `occupationlab/projectManage/queryNameIsExist`, // 新增/编辑项目管理名称判重
    queryProjectManage: `occupationlab/projectManage/queryProjectManage`, // 项目管理列表(分页、筛选)
    updateIsOpen: `occupationlab/projectManage/updateIsOpen`, // 更新开启状态
    getProjectDetail: `occupationlab/projectManage/getProjectDetail`, // 根据项目id查询详情
    saveProjectDraft: `occupationlab/projectManage/saveProjectDraft`, // 新增项目管理
    addProjectManage: `occupationlab/projectManage/addProjectManage`, // 新增项目管理
    updateProjectManage: `occupationlab/projectManage/updateProjectManage`, // 修改项目管理
    editProjectDraft: `occupationlab/projectManage/editProjectDraft`, // 修改项目管理
    copyProjectManage: `occupationlab/projectManage/copyProjectManage`, // 复制项目管理
    // 判分点
    getBcJudgmentPoint: `judgment/bcJudgmentPoint/getBcJudgmentPoint`, // 获取编程类判分点列表(分页)
    getLcJudgmentPoint: `judgment/lcJudgmentPoint/queryAllJudgmentPoint`, // 获取流程类判分点列表(分页)
    addProjectJudgment: `occupationlab/projectJudgment/addProjectJudgment`, // 添加项目管理、判分点中间表
    updateProjectJudgment: `occupationlab/projectJudgment/updateProjectJudgment`, // 判分点中间表批量更新
    deleteProjectJudgment: `occupationlab/projectJudgment/deleteProjectJudgment`, // 判分点中间表批量删除
    // 系统后台
    deleteModelClass: `nakadai/model/reference/deleteModelClass`,
    modelClassList: `nakadai/model/reference/modelClassList`,
    saveReferenceCategory: `nakadai/model/reference/saveReferenceCategory`,
    updateModelClass: `nakadai/model/reference/updateModelClass`,
    checkIsShowBySystemId: `nakadai/model/reference/checkIsShowBySystemId`,
    modifyIsShowState: `nakadai/model/reference/modifyIsShowState`,

    delModelInfoBySystemId: `nakadai/model/reference/demo/delModelInfoBySystemId`,
    deleteReferenceDemo: `nakadai/model/reference/demo/deleteReferenceDemo`,
    referenceFindById: `nakadai/model/reference/demo/findById`,
    saveReferenceDemo: `nakadai/model/reference/demo/saveReferenceDemo`,
    referenceDemoList: `nakadai/model/reference/demo/referenceDemoList`,
    getAllModelList: `nakadai/model/reference/demo/getAllModelList`,
    synchronizationMdel: `nakadai/model/reference/demo/synchronizationMdel`,

    deleteSourceModelCategory: `nakadai/model/category/deleteSourceModelCategory`,
    categorySave: `nakadai/model/category/save`,
    sourceModelClassification: `nakadai/model/category/sourceModelClassification`,
    updateSourceModelCategory: `nakadai/model/category/updateSourceModelCategory`,

    bulkDisable: `nakadai/model/demo/bulkDisable`,
    deleteSysModelDemo: `nakadai/model/demo/deleteSysModelDemo`,
    modelFindById: `nakadai/model/demo/findById`,
    saveSysModelDemo: `nakadai/model/demo/saveSysModelDemo`,
    sysModelDemoList: `nakadai/model/demo/sysModelDemoList`,
    updateSysModelDemo: `nakadai/model/demo/updateSysModelDemo`,
    runPythonCode: `nakadai/model/demo/runPythonCode`,
    getAllModelListBySys: `nakadai/model/demo/getAllModelListBySys`,

    // 课程管理三级联查
    courseDiscipline: `nakadai/nakadai/subject/courseDiscipline`, //课程学科类别
    courseProfessionalClass: `nakadai/nakadai/subject/courseProfessionalClass`, //课程专业类
    courseProfessional: `nakadai/nakadai/subject/courseProfessional`, //课程专业
    //课程管理
    curriculumList: `nakadai/nakadai/curriculum/curriculumList`, //课程列表
    createCurriculum: `nakadai/nakadai/curriculum/createCurriculum`, //创建课程
    curriculumDetail: `nakadai/nakadai/curriculum/curriculumDetail`, //课程详情
    modifyCourse: `nakadai/nakadai/curriculum/modifyCourse`, //编辑课程
    delCourse: `nakadai/nakadai/curriculum/delCourse`, //单个、批量删除课程
    isShelves: `nakadai/nakadai/curriculum/isShelves`, //上下架课程
    getInternalProjectBySystemId: `occupationlab/projectManage/getInternalProjectBySystemId`, //根据系统id、项目权限获取系统内置项目
    checkConfig: `nakadai/nakadai/curriculum/checkConfig`,
    // 课程章节管理
    addChapter: `nakadai/curriculum/chapter/addChapter`, //添加章节
    editChapter: `nakadai/curriculum/chapter/editChapter`, //修改章节
    deleteChapter: `nakadai/curriculum/chapter/deleteChapter`, //根据id删除章节
    queryChaptersAndSubsections: `nakadai/curriculum/chapter/queryChaptersAndSubsections`, //根据课程id查询章节小节,树状结构
    reorder: `nakadai/curriculum/chapter/reorder`, //编辑排序
    // 课程小节管理
    addSubsection: `nakadai/curriculum/subsection/addSubsection`, //添加小节
    deleteSubsection: `nakadai/curriculum/subsection/deleteSubsection`, //根据id删除小节
    editSubsection: `nakadai/curriculum/subsection/editSubsection`, //修改小节
    getSubsection: `nakadai/curriculum/subsection/getSubsection`, //根据小节id获取预览文件地址

    // 阿里云文件/视频管理
    fileDeletion: `${uploadURL}oss/manage/fileDeletion`, // 删除OSS文件
    fileupload: `${uploadURL}oss/manage/fileupload`, // 文件上传
    getPlayAuth: `${uploadURL}oss/manage/getPlayAuth`, // 获取播放凭证
    removeMoreVideo: `${uploadURL}oss/manage/removeMoreVideo`, // 批量删除视频文件
    removeVideo: `${uploadURL}oss/manage/removeVideo`, // 删除视频文件

    queryProvince: `nakadai/nakadai/province/queryProvince`, //查询省份
    queryCity: `nakadai/nakadai/city/queryCity`, //查询城市

    queryCourseDiscipline: `nakadai/nakadai/subject/courseDiscipline`, //查询课程学科
    queryCourseProfessionalClass: `nakadai/nakadai/subject/courseProfessionalClass`, //查询专业类
    queryCourseProfessional: `nakadai/nakadai/subject/courseProfessional`, //查询专业

    queryAppConfig: `liuwanr/course/queryAppConfig`, //查询应用配置
    queryTrainingConfig: `liuwanr/course/queryConfig`, //查询实训配置
    deleteTrainingConfig: `liuwanr/course/deleteTrainingConfig`, //删除实训配置
    isShow: `liuwanr/course/isShow`, //是否展示项目控制
    queryCourseDetailsTC: `liuwanr/course/queryCourseDetailsTC`, //查询课程详情课程权限

    queryLinkDetails: `liuwanr/course/queryLinkDetails`, //查询环节详情
    addCourseLink: `liuwanr/course/addCourseLink`, //添加课程环节
    updateLink: `liuwanr/course/updateLink`, //更新环节

    uploadFiles: `liuwanr/aliyun/uploadFiles`, //上传文件
    downloadFiles: `liuwanr/aliyun/downloadFiles`, //下载文件

    // 数据管理
    getIdQueryTable: `data/data/table/getIdQueryTable`,
    getTableByClassification: `data/data/table/getTableByClassification`,
    getTableByCondition: `data/data/table/getTableByCondition`,
    originalList: `data/data/table/originalList`,
    originalListById: `data/data/table/originalListById`,
    saveCategory: `data/data/table/saveCategory`,
    saveTable: `data/data/table/saveTable`,
    updateCategory: `data/data/table/updateCategory`,
    deleteCategory: `data/data/table/deleteCategory`,
    deleteTable: `data/data/table/deleteTable`,
    previewData: `data/data/preview`,
    staticPreview: `data/data/staticPreview`,
    editTableName: `data/data/table/editTableName`,
    updateTableCommit: `data/data/updateTableCommit`,
    getLevel: `data/category/getLevel`,
    getAllTableInfoByCategoryId: `data/data/product/getAllTableInfoByCategoryId`,

    // 产品管理
    deleteProduct: `data/data/product/delete`,
    findById: `data/data/product/findById`,
    listByEntity: `data/data/product/listByEntity`,
    saveProduct: `data/data/product/save`,
    updateProduct: `data/data/product/update`,
    saveRecord: `data/data/dataRecord/saveRecord`,
    getAllTableIdBycategoryId: `data/data/product/getAllTableIdBycategoryId`,

    // 关键词
    addKeyword: `data/keyword/addKeyword`,
    deleteKeyword: `data/keyword/deleteKeyword`,
    getKeywordByCategoryId: `data/keyword/getKeywordByCategoryId`,
    
    // 后台账号
    deleteArch: `nakadai/staffAccountArchitecture/delete`,
    saveArch: `nakadai/staffAccountArchitecture/save`,
    treeListArch: `nakadai/staffAccountArchitecture/treeList`,
    updateArch: `nakadai/staffAccountArchitecture/update`,
    delStaff: `nakadai/backstageStaff/delStaff`,
    modifyStaff: `nakadai/backstageStaff/modifyStaff`,
    saveStaff: `nakadai/backstageStaff/saveStaff`,
    staffDetail: `nakadai/backstageStaff/staffDetail`,
    staffList: `nakadai/backstageStaff/staffList`,
    importStaff: `${host}nakadai/backstageStaff/importStaff`,
    exportFailure: `${host}nakadai/backstageStaff/exportFailure`,

    // 角色管理
    batchRemove: `users/role/batchRemove`, //批量删除角色
    checkRoleIsExist: `users/role/checkRoleIsExist`, //判断该角色是否存在
    delRoleByAccountId: `users/role/delRoleByAccountId`, //删除某用户下的某个角色
    roleList: `users/role/list`, //角色分页列表查询
    obtainDetails: `users/role/obtainDetails`, //获取角色详情
    saveOrUpdate: `users/role/saveOrUpdate`, //新增或更新角色
    queryAllMenus: `users/users/permission/queryAllMenus`, //查询所有菜单
    getUserRolesPermissionMenu: `users/user-role/getUserRolesPermissionMenu`,

    // 日志管理
    logAdd: `nakadai/log/add`,
    logDel: `nakadai/log/delete`,
    logGet: `nakadai/log/get`,
    logManagementList: `nakadai/log/logManagementList`,
    platformLogList: `nakadai/log/platformLogList`,
    listUpdate: `nakadai/log/update`,
    checkRepeat: `nakadai/log/checkRepeat`,
};